# Class StringEnumValueElement<T>

#### Type Parameters

- #### T extends string

#### Hierarchy

- XmlComponent
  - StringEnumValueElement

- Defined in file/xml-components/simple-elements.ts:66

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new StringEnumValueElement<T>(name, val): StringEnumValueElement<T>

- #### Type Parameters

  - #### T extends string

  #### Parameters

  - ##### name: string

  - ##### val: T

  #### Returns StringEnumValueElement<T>

  Overrides XmlComponent.constructor

  - Defined in file/xml-components/simple-elements.ts:67

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc